package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 学生申请退费表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_apply_refunds")
public class StudentApplyRefunds extends Model<StudentApplyRefunds> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 订单号
     */
    @TableField("order_no_")
    private String orderNo;
    /**
     * 状态(1,交易中;2,成功交易;-1,交易失败;)
     */
    @TableField("status_")
    private String status;
    /**
     * 预计退费金额
     */
    @TableField("expect_amount_")
    private BigDecimal expectAmount;
    /**
     * 实际退费金额
     */
    @TableField("actual_amount_")
    private BigDecimal actualAmount;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 原订单编号
     */
    @TableField("orig_payment_order_id_")
    private Long origPaymentOrderId;


    public Long getId() {
        return id;
    }

    public StudentApplyRefunds setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public StudentApplyRefunds setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public StudentApplyRefunds setOrderNo(String orderNo) {
        this.orderNo = orderNo;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public StudentApplyRefunds setStatus(String status) {
        this.status = status;
        return this;
    }

    public BigDecimal getExpectAmount() {
        return expectAmount;
    }

    public StudentApplyRefunds setExpectAmount(BigDecimal expectAmount) {
        this.expectAmount = expectAmount;
        return this;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public StudentApplyRefunds setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentApplyRefunds setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StudentApplyRefunds setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Long getOrigPaymentOrderId() {
        return origPaymentOrderId;
    }

    public StudentApplyRefunds setOrigPaymentOrderId(Long origPaymentOrderId) {
        this.origPaymentOrderId = origPaymentOrderId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentApplyRefunds{" +
        ", id=" + id +
        ", userId=" + userId +
        ", orderNo=" + orderNo +
        ", status=" + status +
        ", expectAmount=" + expectAmount +
        ", actualAmount=" + actualAmount +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", origPaymentOrderId=" + origPaymentOrderId +
        "}";
    }
}
